## webhook 2.5.0

=== Makefile ===
OS = darwin freebsd linux openbsd windows
ARCHS = 386 arm amd64 arm64

all: build release

build: deps
	go build

release: clean deps
	@for arch in $(ARCHS);\
	do \
		for os in $(OS);\
		do \
			echo "Building $$os-$$arch"; \
			mkdir -p build/webhook-$$os-$$arch/; \
			GOOS=$$os GOARCH=$$arch go build -o build/webhook-$$os-$$arch/webhook; \
			tar cz -C build -f build/webhook-$$os-$$arch.tar.gz webhook-$$os-$$arch; \
		done \
	done

test: deps
	go test ./...

deps:
	go get -d -v -t ./...

clean:
	rm -rf build
	rm -f webhook

=== debian/changelog ===
webhook (2.5.0-2) unstable; urgency=medium

  * Add debian/watch
  * Fix FTBFS by fixing package name in debian/rules (Closes: #876889)
  * add myself to uploaders
  * bump standards-version to 4.1.1 (no changes necessary)
  * switch to debhelper 10

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 29 Jan 2018 18:45:59 +0100

webhook (2.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #826748)

 -- Free Ekanayaka <freee@debian.org>  Fri, 21 Oct 2016 13:26:43 +0000

=== debian/control ===
Source: webhook
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-go,
               golang-github-urfave-negroni-dev,
               golang-github-gorilla-mux-dev,
               golang-github-fsnotify-fsnotify-dev
Standards-Version: 4.1.1
Homepage: https://github.com/adnanh/webhook
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/webhook.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/webhook.git
XS-Go-Import-Path: github.com/adnanh/webhook

Package: webhook
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Small server for creating HTTP endpoints (hooks)
 Webhook is a lightweight configurable tool written in Go, that
 allows you to easily create HTTP endpoints (hooks) on your
 server, which you can use to execute configured commands. You
 can also pass data from the HTTP request (such as headers,
 payload or query variables) to your commands. webhook also
 allows you to specify rules which have to be satisfied in
 order for the hook to be triggered.
 .
 For example, if you're using Github or Bitbucket, you can
 use webhook to set up a hook that runs a redeploy script
 for your project on your staging server, whenever you push
 changes to the master branch of your project.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := \
	test/hooks.json.tmpl \
	hooks.json.example

export DH_GOLANG_EXCLUDES := test


%:
	dh $@ --buildsystem=golang --with=golang --with systemd

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_systemd_enable -pwebhook --name=webhook webhook.service
	dh_installinit -pwebhook --no-start --noscripts
	dh_systemd_start -pwebhook --no-restart-on-upgrade

## webhook 2.6.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-OS = darwin freebsd linux openbsd windows
+OS = darwin freebsd linux openbsd
 ARCHS = 386 arm amd64 arm64
 
-all: build release
+all: build release release-windows
 
 build: deps
 	go build
@@ -18,6 +18,15 @@
 		done \
 	done
 
+release-windows: clean deps
+	@for arch in $(ARCHS);\
+	do \
+		echo "Building windows-$$arch"; \
+		mkdir -p build/webhook-windows-$$arch/; \
+		GOOS=windows GOARCH=$$arch go build -o build/webhook-windows-$$arch/webhook.exe; \
+		tar cz -C build -f build/webhook-windows-$$arch.tar.gz webhook-windows-$$arch; \
+	done
+
 test: deps
 	go test ./...

=== debian/changelog ===
webhook (2.6.9-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Free Ekanayaka ]
  * New upstream version (Closes: #907930)
  * Add ConditionPathExists clause to service file (Closes: #862599)

 -- Free Ekanayaka <freee@debian.org>  Thu, 14 Feb 2019 20:47:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: webhook
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>
@@ -12,8 +12,8 @@
                golang-github-fsnotify-fsnotify-dev
 Standards-Version: 4.1.1
 Homepage: https://github.com/adnanh/webhook
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/webhook.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/webhook.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/webhook
+Vcs-Git: https://salsa.debian.org/go-team/packages/webhook.git
 XS-Go-Import-Path: github.com/adnanh/webhook
 
 Package: webhook

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,13 @@
 
 export DH_GOLANG_INSTALL_EXTRA := \
 	test/hooks.json.tmpl \
-	hooks.json.example
+	test/hooks.yaml.tmpl \
+	hooks.json.example \
+	hooks.json.tmpl.example \
+	hooks.yaml.example \
+	hooks.yaml.tmpl.example
 
 export DH_GOLANG_EXCLUDES := test
-
 
 %:
 	dh $@ --buildsystem=golang --with=golang --with systemd

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/webhook-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/adnanh/webhook/tags .*/v?(\d\S*)\.tar\.gz

## webhook 2.8.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,18 @@
 OS = darwin freebsd linux openbsd
 ARCHS = 386 arm amd64 arm64
 
+.DEFAULT_GOAL := help
+
+.PHONY: help
+help:
+	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-16s\033[0m %s\n", $$1, $$2}'
+
 all: build release release-windows
 
-build: deps
+build: deps ## Build the project
 	go build
 
-release: clean deps
+release: clean deps ## Generate releases for unix systems
 	@for arch in $(ARCHS);\
 	do \
 		for os in $(OS);\
@@ -18,7 +24,7 @@
 		done \
 	done
 
-release-windows: clean deps
+release-windows: clean deps ## Generate release for windows
 	@for arch in $(ARCHS);\
 	do \
 		echo "Building windows-$$arch"; \
@@ -27,12 +33,12 @@
 		tar cz -C build -f build/webhook-windows-$$arch.tar.gz webhook-windows-$$arch; \
 	done
 
-test: deps
+test: deps ## Execute tests
 	go test ./...
 
-deps:
+deps: ## Install dependencies using go get
 	go get -d -v -t ./...
 
-clean:
+clean: ## Remove building artifacts
 	rm -rf build
 	rm -f webhook

=== debian/changelog ===
webhook (2.8.0-3ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 17:22:36 +0000

webhook (2.8.0-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Free Ekanayaka <freee@debian.org>  Sat, 25 Sep 2021 10:40:34 +0000

webhook (2.8.0-2) unstable; urgency=medium

  * debian/patches: drop old patches
  * debian/rules: use dh_installsystemd

 -- Free Ekanayaka <freee@debian.org>  Wed, 22 Sep 2021 10:04:04 +0000

webhook (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0
  * debian/rules: drop unnecessary --with=systemd dh argument
  * debian/watch: upgrade to version 4
  * debian/control: bump Stadards-Version
  * debian/copyright: use secure URI
  * debian/compat: bump level to 13
  * debian/control: do not require root

 -- Free Ekanayaka <freee@debian.org>  Wed, 22 Sep 2021 09:54:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: webhook
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 10),
@@ -10,11 +11,12 @@
                golang-github-urfave-negroni-dev,
                golang-github-gorilla-mux-dev,
                golang-github-fsnotify-fsnotify-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/adnanh/webhook
 Vcs-Browser: https://salsa.debian.org/go-team/packages/webhook
 Vcs-Git: https://salsa.debian.org/go-team/packages/webhook.git
 XS-Go-Import-Path: github.com/adnanh/webhook
+Rules-Requires-Root: no
 
 Package: webhook
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := \
	test/hooks.json.tmpl \
	test/hooks.yaml.tmpl \
	hooks.json.example \
	hooks.json.tmpl.example \
	hooks.yaml.example \
	hooks.yaml.tmpl.example

export DH_GOLANG_EXCLUDES := test

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_installsystemd -pwebhook --no-start --name=webhook webhook.service
	dh_installinit -pwebhook --no-start --noscripts

=== debian/tests/control ===
Tests: simple-webhook
Restrictions: needs-root, isolation-container
Depends: @,
  systemd,
  curl

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/webhook-$1\.tar\.gz/ \
  https://github.com/adnanh/webhook/tags .*/v?(\d\S+)\.tar\.gz
